Skip to content
Myra Online Help Updated · 21 Aug 2026

Changing the settings of a redirect entry of a subdomain

Note

The body must include the attributes id and modified to identify the corresponding entry.

Note

The ID of the entry in the path of the request must match the value of the attribute id in the body.

Sends a PUT request to the endpoint /domain/{domainId}/redirects/{name}/{id}.

Description

The Change-Redirect request allows the user to change the settings of a redirect entry of a subdomain of the organisation.

Requirements

Values of the request: Domain-ID {domainId}, Subdomain name {name}, Redirect-ID {id}, Redirect-ID {id}

Objects: DnsRedirectVO

Request

To change the setting of a redirect entry of a subdomain, the Domain-ID {domainId}, the Subdomain name {name}, and the Redirect-ID {id} need to be added to the path of the request.

For a detailed specification of which information is required to change the settings of a redirect entry, the object DnsRedirectVO with the following attributes needs to be defined in the body:

Attributes Description Values
source The path of a domain or subdomain that is to be redirected. string
destination The target to where the redirect pins. string
type The type of the redirect.
  • permanent -> HTTP status code 301
  • redirect -> HTTP status code 302
subDomainName The name of the subdomain. string
id The ID of the entry. integer
modified The last modification date in ISO 8601 format. string($date-time)

The following attributes are optional:

Attributes Description Values
matchingType The condition for the alignment.
  • exact
  • prefix
  • suffix
expertMode Defines whether the expert mode is enabled or disabled. If the expert mode is enabled, Myra skips the check of the rule for infinite loops.
  • true
  • false
sort The ascending order for the entry. integer
comment An individual comment for the entry. string
enabled The availability of the entry.
  • true
  • false

The system returns the object DnsRedirectVO with the changed information.

Example

Example request body:

{
  "objectType": "string",
  "source": "string",
  "destination": "string",
  "type": "string",
  "subDomainName": "string",
  "matchingType": "string",
  "expertMode": true,
  "sort": 0,
  "comment": "string",
  "enabled": true
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.